/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: setdtattrsa.c,v 1.1.1.1 2005/03/15 15:57:28 laire Exp $

    Desc:
    Lang: English
*/
#include <proto/intuition.h>
#include <intuition/classusr.h>
#include "datatypes_intern.h"
#undef DEBUG
#define DEBUG 0
#include <aros/debug.h>

/*****************************************************************************

    NAME */
#include <proto/datatypes.h>

	AROS_LH4(ULONG, SetDTAttrsA,

/*  SYNOPSIS */
	AROS_LHA(Object *          , o    , A0),
	AROS_LHA(struct Window    *, win  , A1),
	AROS_LHA(struct Requester *, req  , A2),
	AROS_LHA(struct TagItem   *, attrs, A3),

/*  LOCATION */
	struct Library *, DataTypesBase, 10, DataTypes)

/*  FUNCTION

    Set the attributes of a data type object.

    INPUTS

    o      --  pointer to the data type object the attributes of which to set
    win    --  window that the object has been added to
    attrs  --  attributes to set (terminated with TAG_DONE)
               tags are specified in <datatypes/datatypesclass.h>

    RESULT

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO

    GetDTAttrsA(), intuition.library/SetGadghetAttrsA(),
    <datatypes/datatypesclass.h>

    INTERNALS

    HISTORY

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    ULONG ret;

    D(bug("datatypes.library/SetDTAttrsA\n"));

    D(bug("datatypes.library/SetDTAttrsA: o 0x%lx win 0x%lx req 0x%lx attrs 0x%lx\n",o,win,req,attrs));

    ret = SetGadgetAttrsA((struct Gadget *)o, win, req, attrs);

    D(bug("datatypes.library/SetDTAttrsA: ret 0x%lx\n",ret));

    return ret;

    AROS_LIBFUNC_EXIT
} /* SetDTAttrsA */
